Opened 3 years ago

Closed 3 years ago

#55918 closed defect (wontfix)

gcc @48: is not supported on macOS High Sierra and newer

Reported by: adhityosenoaji (adhityosenoaji) Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.4.2
Keywords: highsierra Cc:
Port: gcc48

Description

I install macport new in macOS High Sierra, and try to install gcc48, then this problem occur:

--->  Fetching distfiles for gcc48
Error: gcc48 is not supported on macOS High Sierra and newer
Error: Failed to fetch gcc48: unsupported platform
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_lang_gcc48/gcc48/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port gcc48 failed

Attachments (1)

main.log (4.5 KB) - added by adhityosenoaji (adhityosenoaji) 3 years ago.
Logs file when problem occur

Download all attachments as: .zip

Change History (5)

Changed 3 years ago by adhityosenoaji (adhityosenoaji)

Attachment: main.log added

Logs file when problem occur

comment:1 Changed 3 years ago by kencu (Ken)

It's true - gcc48 doesn't (currently at least) build and work on high sierra. It probably never will - I don't think anyone is too interested in fixing ancient gcc versions to work on high sierra - gcc5 and up work, though.

If you don't mind my asking, why would you want gcc48? Perhaps you might consider using gcc7, if you need gcc?

comment:2 Changed 3 years ago by kencu (Ken)

For base - I don't suppose there is a way to override the message to open a ticket? This message is a bit confusing for people. It is not actually an error, and I would submit that there shouldn't be a message for them to open a ticket for it. But anyway ...

comment:3 Changed 3 years ago by kencu (Ken)

Cc: maintainer@… removed

comment:4 Changed 3 years ago by ryandesign (Ryan Schmidt)

Resolution: wontfix
Status: newclosed
Note: See TracTickets for help on using tickets.